<template>
  <section id="services" class="section">
    <div class="services-content-wrap">
      <div class="coral-box">
        <div class="coral-box-wrap">
          <div class="services-textline-wrap">
            <div class="services-textline">inqhwakzfup</div>
            <div class="services-v-line"></div>
          </div>
          <svg-icon name="big_trigle" class="coral-box-triangle" width="645.5px" height="610.5px"></svg-icon>
          <div class="services-content-box">
            <div class="headline">
              <svg class="services-headline" width="672" height="301">
                <g clip-path="url(#servicesHeadlinePath1)">
                  <text x="0" y="0" class="text-pattern" textLength="1100" lengthAdjust="spacing">
                    <tspan x="0" y="11">inqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="22">inqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="33">inqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="44">inqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="55">inqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="66">inqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="77">inqhwakzfupinqhwakzfup</tspan>
                  </text>
                </g>

                <g clip-path="url(#servicesHeadlinePath2)" id="servicesHeadlinePattern2">
                  <text
                    x="0"
                    y="0"
                    class="text-pattern text-pattern2"
                    textLength="5500"
                    lengthAdjust="spacing"
                  >
                    <tspan
                      x="0"
                      y="100"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="111"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="118"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="129"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="140"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="151"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="162"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="173"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                  </text>
                </g>

                <g
                  clip-path="url(#servicesHeadlinePath2-mobile)"
                  id="servicesHeadlinePatternMobile"
                >
                  <text
                    x="0"
                    y="0"
                    class="text-pattern text-patternMobile"
                    textLength="3700"
                    lengthAdjust="spacing"
                  >
                    <tspan
                      x="0"
                      y="100"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="111"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="118"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="129"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="140"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="151"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="162"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="173"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                  </text>
                </g>
                <g
                  clip-path="url(#servicesHeadlinePath2-mobile2)"
                  id="servicesHeadlinePatternMobile2"
                >
                  <text
                    x="0"
                    y="0"
                    class="text-pattern text-patternMobile2"
                    textLength="3700"
                    lengthAdjust="spacing"
                  >
                    <tspan
                      x="0"
                      y="165"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="176"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="187"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="198"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="209"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="220"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="231"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan
                      x="0"
                      y="242"
                    >inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                  </text>
                </g>

                <g clip-path="url(#servicesHeadlinePath3)">
                  <text
                    x="0"
                    y="0"
                    class="text-pattern text-pattern3"
                    textLength="4000"
                    lengthAdjust="spacing"
                  >
                    <tspan x="0" y="200">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="211">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="218">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="229">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="240">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="251">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="262">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                    <tspan x="0" y="273">inqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfupinqhwakzfup</tspan>
                  </text>
                </g>

                <g clip-path="url(#servicesHeadlinePath1)">
                  <foreignObject class="text-stroke" x="0" y="-1" width="158" height="94">
                    <text text-anchor="start" textLength="145" lengthAdjust="spacing">мы</text>
                  </foreignObject>
                </g>
                <g clip-path="url(#servicesHeadlinePath2)" id="servicesHeadlineText2">
                  <foreignObject
                    class="text-stroke servicesText-stroke2"
                    x="0"
                    y="92"
                    width="688"
                    height="94"
                  >
                    <text text-anchor="start" textLength="688" lengthAdjust="spacing">позаботимся</text>
                  </foreignObject>
                </g>

                <g
                  clip-path="url(#servicesHeadlinePath2-mobile)"
                  id="servicesHeadlineText2-mobile"
                >
                  <foreignObject
                    class="text-stroke servicesText-strokeMobile"
                    x="0"
                    y="75"
                    width="688"
                    height="94"
                  >
                    <text text-anchor="start" textLength="688" lengthAdjust="spacing">позабо-</text>
                  </foreignObject>
                </g>
                <g
                  clip-path="url(#servicesHeadlinePath2-mobile2)"
                  id="servicesHeadlineText2-mobile2"
                >
                  <foreignObject
                    class="text-stroke servicesText-strokeMobile2"
                    x="0"
                    y="150"
                    width="688"
                    height="94"
                  >
                    <text text-anchor="start" textLength="688" lengthAdjust="spacing">тимся</text>
                  </foreignObject>
                </g>

                <g clip-path="url(#servicesHeadlinePath3)">
                  <foreignObject
                    class="text-stroke servicesText-stroke3"
                    x="0"
                    y="189"
                    width="467"
                    height="94"
                  >
                    <text text-anchor="start" textLength="465" lengthAdjust="spacing">обо&nbsp;всем</text>
                  </foreignObject>
                </g>

                <defs>
                  <clipPath id="servicesHeadlinePath1">
                    <text
                      id="servicesPathText1"
                      text-anchor="start"
                      x="0"
                      y="74"
                      textLength="145"
                      lengthAdjust="spacing"
                    >мы</text>
                  </clipPath>
                  <clipPath id="servicesHeadlinePath2">
                    <text
                      id="servicesPathText2"
                      text-anchor="start"
                      x="0"
                      y="168"
                      textLength="678"
                      lengthAdjust="spacing"
                    >позаботимся</text>
                  </clipPath>

                  <clipPath id="servicesHeadlinePath2-mobile">
                    <text
                      id="servicesPathText2-mobile"
                      text-anchor="start"
                      x="0"
                      y="130"
                      textLength="275"
                      lengthAdjust="spacing"
                    >позабо-</text>
                  </clipPath>
                  <clipPath id="servicesHeadlinePath2-mobile2">
                    <text
                      id="servicesPathText2-mobile2"
                      text-anchor="start"
                      x="0"
                      y="205"
                      textLength="211"
                      lengthAdjust="spacing"
                    >тимся</text>
                  </clipPath>

                  <clipPath id="servicesHeadlinePath3">
                    <text
                      id="servicesPathText3"
                      text-anchor="start"
                      x="0"
                      y="265"
                      textLength="459"
                      lengthAdjust="spacing"
                    >обо всем</text>
                  </clipPath>
                </defs>
              </svg>
            </div>

            <ul class="services-list">
              <li class="services-item">
                <div class="services-item_name">
                  <div
                    class="services-item_name-wrap services-item_name-wrap1"
                    @click="switchText1()"
                  >
                    <svg-icon
                      name="dark_trigle"
                      class="services-item_triangle services-item_triangle1"
                      :class="{ servicesItemTriangle1Move: config.animation }"
                    ></svg-icon>
                    <p
                      class="services-item_name-text services-item_name-text1"
                      :class="{ servicesItemNameTextMove: config.timeOutAnim1 }"
                      v-html="spanText('Создание Landing Page')"
                    ></p>
                  </div>
                  <div
                    class="services-item_name-line services-item_name-line1 long-line"
                    :class="{ servicesItemNameLineEnterAdd: config.timeOutAnim5 }"
                  ></div>
                </div>
                <div class="services-item_description-wrap">
                  <transition name="slide-fade"  mode="out-in">
                  <div
                    class="services-item_description services-item_description1 long-desc split1 "
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6, servicesItemDescriptionActive: text1 }"
                    v-show="config.timeOutAnim2"
                  >
                    Вы хотите получить результат от вложенных инвестиций как можно скорее? Тогда одностраничный сайт от нашей команды идеально вам подходит.
                    Создание продающей страницы ведется индивидуально для каждого заказчика, с учетом личных предпочтений.
                  </div>
                  </transition>
                  <transition name="slide-fade"  mode="out-in">
                  <div
                    class="services-item_description services-item_description2 long-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6, servicesItemDescriptionActive: text2 }"
                    v-show="text2"
                  >
                    Создание корпоративного сайта, это имиджевое представительство вашей компании в онлайн пространстве.
                    Раз уж вы зашли к нам, то наверняка задумались над тем, чтобы расширить свой бизнес за пределами офлайна. И это правильное решение!
                  </div>
                  </transition>
                  <transition name="slide-fade"  mode="out-in">
                  <div
                    class="services-item_description services-item_description3 long-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6, servicesItemDescriptionActive: text3 }"
                    v-show="text3"
                  >
                    Покупки в интернете уже давно стали нормой повседневной жизни. Мировой рынок интернет-торговли за последний год вырос на 23%, а в странах СНГ более чем на 50%, что свидетельствует о перспективности этого направления бизнеса.
                    Если вы хотите заняться электронной коммерцией, мы поможем вам с самого старта сделать все правильно.
                  </div>
                  </transition>
                  <transition name="slide-fade"  mode="out-in">
                  <div
                    class="services-item_description services-item_description4 long-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6, servicesItemDescriptionActive: text4 }"
                    v-show="text4"
                  >
                    Сегодня все чаще люди заходят в интернет с мобильных гаджетов. Мы делаем адаптивные сайты для того, чтобы обеспечить вашему веб-проекту качественную коммуникацию и конвертировать обладателей современных гаджетов в реальных клиентов.
                    Адаптивный веб-дизайн — технология, применяемая в разработке сайтов для их адекватного отображения на любом экране: от десктопа до смартфона.
                  </div>
                  </transition>
                </div>
              </li>
              <li class="services-item">
                <div class="services-item_name">
                  <div class="services-item_name-wrap services-item_name-wrap2" @click="switchText2()">
                    <svg-icon
                      name="dark_trigle"
                      class="services-item_triangle services-item_triangle2"
                      :class="{ servicesItemTriangle2Move: config.animation }"
                    ></svg-icon>
                    <p
                      class="services-item_name-text services-item_name-text2"
                      :class="{ servicesItemNameTextMove: config.timeOutAnim2 }"
                      v-html="spanText('Создание сайта для компании')"
                    ></p>
                  </div>
                  <div class="services-item_name-line services-item_name-line2 short-line"></div>
                </div>
                <div class="services-item_description-wrap">
                  <div
                    class="services-item_description services-item_description1 short-desc split1 servicesItemDescriptionActive"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description2 short-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description3 short-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description4 short-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                </div>
              </li>
              <li class="services-item">
                <div class="services-item_name">
                  <div class="services-item_name-wrap services-item_name-wrap3" @click="switchText3()">
                    <svg-icon
                      name="dark_trigle"
                      class="services-item_triangle services-item_triangle3"
                      :class="{ servicesItemTriangle3Move: config.animation }"
                    ></svg-icon>
                    <p
                      class="services-item_name-text services-item_name-text3"
                      :class="{ servicesItemNameTextMove: config.timeOutAnim3 }"
                      v-html="spanText('Создание интернет-магазина')"
                    ></p>
                  </div>
                  <div class="services-item_name-line services-item_name-line3 short-line"></div>
                </div>
                <div class="services-item_description-wrap">
                  <div
                    class="services-item_description services-item_description1 short-desc split1 servicesItemDescriptionActive"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"

                  ></div>
                  <div
                    class="services-item_description services-item_description2 short-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description3 short-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description4 short-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                </div>
              </li>
              <li class="services-item">
                <div class="services-item_name">
                  <div class="services-item_name-wrap services-item_name-wrap4" @click="switchText4()">
                    <svg-icon
                      name="dark_trigle"
                      class="services-item_triangle services-item_triangle4"
                      :class="{ servicesItemTriangle4Move: config.animation }"
                    ></svg-icon>
                    <p
                      class="services-item_name-text services-item_name-text4"
                      :class="{ servicesItemNameTextMove: config.timeOutAnim4 }"
                      v-html="spanText('Создание адаптивных сайтов')"
                    ></p>
                  </div>
                  <div class="services-item_name-line services-item_name-line4 long-line"></div>
                </div>
                <div class="services-item_description-wrap">
                  <div
                    class="services-item_description services-item_description1 long-desc split1 servicesItemDescriptionActive"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description2 long-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description3 long-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                  <div
                    class="services-item_description services-item_description4 long-desc"
                    :class="{ servicesItemDescriptionLineAdd: config.timeOutAnim6 }"
                  ></div>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="black-box">
        <div>
          <div class="services-textline-wrap">
            <div class="services-textline">inqhwakzfup</div>
            <div class="services-v-line"></div>
          </div>
          <div class="services-textline-wrap">
            <div class="services-textline">inqhwakzfup</div>
          </div>
        </div>
        <div>
          <svg
            class="black-box_triangle"
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            width="246.5px"
            height="247.5px"
          >
            <path
              fill-rule="evenodd"
              stroke="rgb(255, 255, 255)"
              stroke-width="1px"
              stroke-linecap="butt"
              stroke-linejoin="miter"
              opacity="0.078"
              fill="none"
              d="M245.326,245.553 L0.590,179.889 L179.749,0.492 L245.326,245.553 Z"
            />
          </svg>
          <svg
            class="black-box_triangle"
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            width="246.5px"
            height="246.5px"
          >
            <path
              fill-rule="evenodd"
              stroke="rgb(255, 255, 255)"
              stroke-width="1px"
              stroke-linecap="butt"
              stroke-linejoin="miter"
              opacity="0.078"
              fill="none"
              d="M0.486,0.509 L245.503,66.156 L66.138,245.507 L0.486,0.509 Z"
            />
          </svg>
          <svg
            class="black-box_triangle"
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            width="246.5px"
            height="247.5px"
          >
            <path
              fill-rule="evenodd"
              stroke="rgb(255, 255, 255)"
              stroke-width="1px"
              stroke-linecap="butt"
              stroke-linejoin="miter"
              opacity="0.078"
              fill="none"
              d="M179.664,245.907 L0.504,66.510 L245.240,0.846 L179.664,245.907 Z"
            />
          </svg>
          <svg
            class="black-box_triangle"
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            width="246.5px"
            height="247.5px"
          >
            <path
              fill-rule="evenodd"
              stroke="rgb(255, 255, 255)"
              stroke-width="1px"
              stroke-linecap="butt"
              stroke-linejoin="miter"
              opacity="0.078"
              fill="none"
              d="M245.505,180.368 L0.769,246.032 L66.346,0.970 L245.505,180.368 Z"
            />
          </svg>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="services-frame-top">
        <a class="services-portfolio-word"  @click="config.fullpageApi.moveSectionUp()">Портфолио</a>
        <div class="hamburger hamburger-services js-MenuItem" @click="toggleMenu">
          <span class="hamburger_line hamburger_line__up"></span>
          <span class="hamburger_line hamburger_line__middleUp"></span>
          <span class="hamburger_line hamburger_line__middleBottom"></span>
          <span class="hamburger_line hamburger_line__bottom"></span>
        </div>
      </div>
      <div class="services-line"></div>
      <div class="services-footer">
        <div class="logo" @click="config.fullpageApi.moveTo(1)">
          <span class="logo_letters">s</span>
          <span class="logo_letters logo_letters__b">d</span>
          <div class="logo_stroke">
            <span class="logo_dash"></span>
            <span class="logo_dash"></span>
          </div>
          <span class="logo_name">Владислав</span>
          <span class="logo_surname">Булгаков</span>
        </div>
        <div class="lang">ru</div>
      </div>
    </div>
  </section>
</template>
<script>
import {mapMutations} from "vuex";

export default {
  name: "ServiceScreen",
  props: ["config"],
  data: () => ({
    text1: true,
    text2: false,
    text3: false,
    text4: false
  }),
  methods: {
    spanText(text) {
      let span = text.split("");
      let result = "";
      span.forEach(element => {
        result += "<span>" + element + "</span>";
      });
      return result;
    },
    switchText1() {
      this.text1 = true;
      this.text2 = false;
      this.text3 = false;
      this.text4 = false;
    },
    switchText2() {
      this.text1 = false;
      this.text2 = true;
      this.text3 = false;
      this.text4 = false;
    },
    switchText3() {
      this.text1 = false;
      this.text2 = false;
      this.text3 = true;
      this.text4 = false;
    },
    switchText4() {
      this.text1 = false;
      this.text2 = false;
      this.text3 = false;
      this.text4 = true;
    },
    ...mapMutations({
      toggleMenu: 'app/toggleMenu'
    })
  }
};
</script>

<style lang="css" scoped>
.slide-fade-enter-active {
  transition: all 1s ease;
}
.slide-fade-leave-active {
  transition: all 1.5s cubic-bezier(1.0, 0.5, 0.8, 1.0);
}
.slide-fade-enter, .slide-fade-leave-to
/* .slide-fade-leave-active до версии 2.1.8 */ {
  transform: translateX(10px);
  opacity: 0;
}
</style>
